Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class URLCallbackHandler

    java.lang.Object
      |
      +--weblogic.security.URLCallbackHandler

public class URLCallbackHandler
extends java.lang.Object
implements javax.security.auth.callback.CallbackHandler

A CallbackHandler used for returning a username, password and URL.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`URLCallbackHandler(java.lang.String user, java.lang.String pass)` Create a callback handler.
`URLCallbackHandler(java.lang.String user, java.lang.String pass, java.lang.String URL)` Create a callback handler with provider URL.

Method Summary
`void` | `handle(javax.security.auth.callback.Callback[] callbacks)` Handle the callbacks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLCallbackHandler

    public URLCallbackHandler(java.lang.String user,
                              java.lang.String pass)

  Create a callback handler.

  Parameters:
    `user` - the username
    `pass` - the password

### URLCallbackHandler

    public URLCallbackHandler(java.lang.String user,
                              java.lang.String pass,
                              java.lang.String URL)

  Create a callback handler with provider URL.

  Parameters:
    `user` - the username
    `pass` - the password
    `URL` - the provider URL

Method Detail

### handle

    public void handle(javax.security.auth.callback.Callback[] callbacks)
                throws javax.security.auth.callback.UnsupportedCallbackException

  Handle the callbacks. When no URL was specified the default URL is supplied.
  Specified by:
    handle in interface javax.security.auth.callback.CallbackHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD